org.apache.commons.math3.analysis

## Interface TrivariateFunction

All Known Implementing Classes:
  TricubicSplineFunction, TricubicSplineInterpolatingFunction

    public interface TrivariateFunction

An interface representing a trivariate real function.

Since:
  2.2
Version:
  $Id: TrivariateFunction.java 1364387 2012-07-22 18:14:11Z tn $

### Method Summary

Methods
`double` `value(double x, double y, double z)` Compute the value for the function.

### Method Detail

#### value

    double value(double x,
               double y,
               double z)

Compute the value for the function.

Parameters:
  `x` - x-coordinate for which the function value should be computed.
  `y` - y-coordinate for which the function value should be computed.
  `z` - z-coordinate for which the function value should be computed.
Returns:
  the value.